#version 450

precision highp float;
layout(location = 0) in vec4 Position;
layout(location = 1) in vec4 Color;

layout(location = 0) out vec4 color;

layout(set = 0, binding = 0, std140) uniform Uniforms
{
    uniform mat4 VP;
    uniform vec4 screenDimension;
};

void main()
{
    color = vec4(Color.xz,0.0,1.0);
    gl_Position = vec4(Position.xy,0.0,1.0);
}