#version 450


precision highp float;
layout(location = 0) in vec4 Position;
layout(location = 1) in vec4 Color;

layout(location = 0) out vec4 color;

layout(binding = 0, std140) uniform Uniforms
{
    uniform mat4 VP;
    uniform vec4 screenDimension;
};

void main()
{
    color = Color;
    gl_Position =  VP * vec4(Position.xyz, 1.0);
}