#version 450

layout(set = 0, binding = 0, std140) uniform Uniforms
{
   mat4 projectionMatrix;
   mat4 modelMatrix;
   uniform vec4 imageDimension; 
   uniform vec4 cameraPosition;
};

layout(location = 0) in vec4 position;
void main()
{
	gl_Position = projectionMatrix * modelMatrix * position;
}