
class KeyboardEventHandler {
    constructor() {
        this.numKeys_ = 350;
        this.keyDown_ = [];
        this.keyPressed_ = [];
        this.keyUp_ = [];

        for (let i = 0; i < this.numKeys_; i++) {
            this.keyDown_.push(false);
            //this.keyPressed_.push(false);
            // this.keyUp_.push(false);
        }
    }

    reset() {
        for (let i = 0; i < this.numKeys_; i++) {
            this.keyDown_[i] = false;
            //this.keyPressed_[i] = false;
            //this.keyUp_[i] = false;
        }
    }

    /*flush() {
        for(let i = 0; i < this.numKeys_; i++)
        {
            this.keyPressed_[i] = false;
            this.keyUp_[i] = false;
        }
    }*/

    keyDown(keyValue) {
        this.keyDown_[keyValue] = true;
    }

    keyUp(keyValue) {
        this.keyDown_[keyValue] = false;
    }

    isDown(key) {
        return this.keyDown_[key];
    }
}

export { KeyboardEventHandler };